function [] = kresliVystup()

 load grafdataS1x0.txt;
 load grafdataS2x0.txt;
 load grafdataS1x5.txt;
 load grafdataS2x5.txt;
 

  
  k = 1;
  for i = 0:35
      for j = 0:9
        T10(i + 1,j + 1) = grafdataS1x0(k);
        T20(i + 1,j + 1) = grafdataS2x0(k);
        T15(i + 1,j + 1) = grafdataS1x5(k);
        T25(i + 1,j + 1) = grafdataS2x5(k);
        k = k + 1;
      end
  end
  
  
  h = hot(256);
  for i=1:256 
      hh(i,:) = h(257-i,:); 
  end
  
  hhh(:, :) = hh(1:200,:);
  
  figure; 
  set(0, 'defaulttextinterpreter', 'none');
  X = linspace(0,20,36);
  Y = linspace(1,2,10);

   surf(Y,X,T15, 'LineWidth', 0.15);
   set(gca,'XTickLabel',{0, 0.0625, 0.125})
   set(gca,'YTickLabel',{20, 15, 10, 5, 0})
   zlim([400 1650])
   camorbit(110,-20)
   colormap(hhh)
   colorbar('location', 'NorthOutSide', 'LineWidth', 0.3)
   
   figure; 
  set(0, 'defaulttextinterpreter', 'none');
  X = linspace(0,20,36);
  Y = linspace(1,2,10);

   surf(Y,X,T25, 'LineWidth', 0.15);
   set(gca,'XTickLabel',{0, 0.0625, 0.125})
   set(gca,'YTickLabel',{20, 15, 10, 5, 0})
   zlim([400 1650])
   camorbit(110,-20)
   colormap(hhh)
   colorbar('location', 'NorthOutSide', 'LineWidth', 0.3)
   
   R1 = T10 - T15;
   R2 = T20 - T25;
   max(max(R1))
   max(max(R2))
   
   figure;
   surf(Y,X,R1, 'LineWidth', 0.15);
   set(gca,'XTickLabel',{0, 0.0625, 0.125})
   set(gca,'YTickLabel',{20, 15, 10, 5, 0})
 %  zlim([400 1650])
   camorbit(110,-20)
 %  colormap(hhh)
   colorbar('location', 'NorthOutSide', 'LineWidth', 0.3)
   
   figure;
   surf(Y,X,R2, 'LineWidth', 0.15);
   set(gca,'XTickLabel',{0, 0.0625, 0.125})
   set(gca,'YTickLabel',{20, 15, 10, 5, 0})
  % zlim([400 1650])
   camorbit(110,-20)
   %colormap(hhh)
   colorbar('location', 'NorthOutSide', 'LineWidth', 0.3)

end